apiVersion: sonataflow.org/v1alpha08
kind: SonataFlowPlatform
metadata:
  name: sonataflow-platform
spec:
  build:
    template:
      buildArgs:
        - name: QUARKUS_EXTENSIONS
          value: org.kie.kogito:kogito-addons-quarkus-jobs-knative-eventing:2.0.0-SNAPSHOT,org.kie.kogito:kogito-addons-quarkus-persistence-jdbc:2.0.0-SNAPSHOT,io.quarkus:quarkus-jdbc-postgresql:2.16.10.Final,io.quarkus:quarkus-agroal:2.16.10.Final
        - name: QUARKUS_DATASOURCE_DB_KIND
          value: postgresql
    config:
      strategyOptions:
        KanikoBuildCacheEnabled: "true"
